Subject: bug#31827: closed (Re: bug#31827: "guix pull" fails)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Jun 2018 09:23:02 +0000

Your bug report

#31827: "guix pull" fails

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31827: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31827
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31827: "guix pull" fails
From: Alex Kost <[email-masked]>
To: Ben Sturmfels <[email-masked]>
Cc: [email-masked]
Date: Fri, 15 Jun 2018 12:22:46 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Ben Sturmfels (2018-06-15 10:25 +1000) wrote:

> On 15/06/18 01:13, Alex Kost wrote:
>> Hello, sorry for bothering.  I tried to run "guix pull" from the guix
>> git checkout (using pre-inst-env) and it failed for me with the
>> following backtrace.  Do I miss anything obvious?
>
>> guix/git-download.scm:86:17: In procedure allocate-struct: Wrong type argument in position 2: 3
>
> Hi Alex,
>
> See: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=28265#16
>
> I'm no expert on this, but the cause is recent breaking changes in the
> binary interfaces.  The command you need is "make clean-go && make”.

Indeed, thank you!  I keep forgetting that "clean-go" is the first step
to do when some strange backtraces come up :-)

Sorry for the noise.

-- 
Alex

Subject: "guix pull" fails
From: Alex Kost <[email-masked]>
To: [email-masked]
Date: Thu, 14 Jun 2018 18:13:43 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, sorry for bothering.  I tried to run "guix pull" from the guix
git checkout (using pre-inst-env) and it failed for me with the
following backtrace.  Do I miss anything obvious?

[...]
compiling...	100.0% of 1 files
compiling...	100.0% of 40 files
grafting '/gnu/store/z5fy5i0va7l3ffwlia0pavcfnn6nc58m-libssh-0.7.5-0.239d0f7' -> '/gnu/store/zbbkwn1ilis6fkavs3lnpklys72khdlx-libssh-0.7.5-0.239d0f7'...
grafting '/gnu/store/5ikax0hrz3lk8njl44nlyfizqx03xxf5-libssh2-1.8.0' -> '/gnu/store/r4q5x1dc8q3g885d67m18il2d6hpbddl-libssh2-1.8.0'...
grafting '/gnu/store/wnhdqpvbpa06fb4886hy2vgxwcmddkl5-guile-ssh-0.11.2-debug' -> '/gnu/store/x2x925g9z9qzkw1a58w2ay2lhc2x8sv2-guile-ssh-0.11.2-debug'...
grafting '/gnu/store/l7in7h9bc2phfr64zadvak3klnl8aml6-guile-ssh-0.11.2' -> '/gnu/store/5lmr2x0cl45x0f15hsbaw4y560gnwry3-guile-ssh-0.11.2'...
grafting '/gnu/store/vbi5infjmc6w9yjchxm6p2swvd12xvfi-libgit2-0.26.0' -> '/gnu/store/gqqy05yadvg7afiaafymw2x4899hgr3c-libgit2-0.26.0'...
grafting '/gnu/store/5jvww47vzlv9ggyxd67m5qcrl16gnwb0-guile-git-0.0-6.36f93c1' -> '/gnu/store/2rfa6337gb84bx4f2jzn5h9wfi3lhjik-guile-git-0.0-6.36f93c1'...
loading...	 97.2% of 109 filesrandom seed for tests: 1528987180
compiling...	100.0% of 109 files
compiling...	100.0% of 230 files
compiling...	100.0% of 179 files
compiling...	100.0% of 66 files
compiling...	100.0% of 37 files
Backtrace:
In ice-9/boot-9.scm:
    837:9 19 (catch _ _ #<procedure 7f9060ffc7a0 at guix/scripts/pull.scm:350:4 (…> …)
In guix/scripts/pull.scm:
   391:22 18 (_)
In guix/store.scm:
  1414:24 17 (run-with-store _ _ #:guile-for-build _ #:system _ #:target _)
  1333:38 16 (_ #<build-daemon 256.97 2dc3f50>)
In guix/scripts/package.scm:
   166:19 15 (build-and-use-profile #<build-daemon 256.97 2dc3f50> "/home/al/.con…" …)
In guix/store.scm:
  1414:24 14 (run-with-store _ _ #:guile-for-build _ #:system _ #:target _)
In guix/profiles.scm:
   1292:2 13 (_ _)
In guix/store.scm:
   1319:0 12 (_ _)
In guix/gexp.scm:
    666:2 11 (_ _)
In guix/store.scm:
   1319:0 10 (_ _)
  1333:38  9 (_ #<build-daemon 256.97 2dc3f50>)
In guix/packages.scm:
   878:14  8 (cache! #<weak-table 323/443> #<package [email-masked]…> …)
In unknown file:
           7 (_ #<procedure thunk ()> #<procedure list _> #<undefined>)
In guix/packages.scm:
  1202:22  6 (thunk)
  1135:25  5 (bag->derivation #<build-daemon 256.97 2dc3f50> #<<bag> name: "guile…> …)
In srfi/srfi-1.scm:
   592:17  4 (map1 (("source" #<origin #<<git-reference> url: "https://github…>) …))
In ice-9/boot-9.scm:
    837:9  3 (catch srfi-34 #<procedure 4adf600 at guix/packages.scm:942:5 ()> #<…> …)
In guix/packages.scm:
   947:18  2 (_)
In guix/store.scm:
  1340:50  1 (_ #<build-daemon 256.97 2dc3f50> #<origin #<<git-reference> url: "h…> …)
In guix/git-download.scm:
    86:17  0 (git-fetch #<<git-reference> url: "https://github.com/ijp/guile-gdbm…> …)

guix/git-download.scm:86:17: In procedure git-fetch:
guix/git-download.scm:86:17: In procedure allocate-struct: Wrong type argument in position 2: 3

-- 
Thanks,
Alex